package com.jz.manage;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableTransactionManagement
@MapperScan("com.jz.manage.admin.dao")
@EnableAspectJAutoProxy//启动对@AspectJ注解的支持
//@EnableRedisHttpSession //Redis集中存储Session
public class manageApplication {

    public static void main(String[] args) {
        SpringApplication.run(manageApplication.class, args);
    }
}
